summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Charadon2022-09-16 23:29:58 +0200
committer bedlam2022-09-16 23:29:58 +0200
commita26c0759bcb48884ecb3bf6d61bd649ca15c9576 (patch)
tree406fb3e111638cc83af2e369a7fc4030563b1122
parentae1d89d0986cc0acb49607d8dbfbad1a08203ddb (diff)
downloadslackbuilds-a26c0759bcb48884ecb3bf6d61bd649ca15c9576.tar.gz
network/epiphany: Added (Web browser from the GNOME desktop)
Signed-off-by: bedlam <dave@slackbuilds.org>
-rw-r--r--network/epiphany/README8
-rw-r--r--network/epiphany/doinst.sh22
-rw-r--r--network/epiphany/epiphany.SlackBuild107
-rw-r--r--network/epiphany/epiphany.info10
-rw-r--r--network/epiphany/slack-desc19
5 files changed, 166 insertions, 0 deletions
diff --git a/network/epiphany/README b/network/epiphany/README
new file mode 100644
index 0000000000..4b11aae5a7
--- /dev/null
+++ b/network/epiphany/README
@@ -0,0 +1,8 @@
+Epiphany (Web browser from the GNOME desktop)
+Web is the web browser for the GNOME desktop and for elementary OS,
+based on the popular WebKit engine. It offers a simple, clean,
+beautiful view of the web featuring first-class GNOME and Pantheon
+desktop integration, a built-in adblocker enabled by default, and
+Intelligent Tracking Prevention. With no useless widgets or wasted
+space, Web closely follows GNOME's design philosophy. Its code name
+is Epiphany.
diff --git a/network/epiphany/doinst.sh b/network/epiphany/doinst.sh
new file mode 100644
index 0000000000..208ce12815
--- /dev/null
+++ b/network/epiphany/doinst.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/network/epiphany/epiphany.SlackBuild b/network/epiphany/epiphany.SlackBuild
new file mode 100644
index 0000000000..1d50f6b6e1
--- /dev/null
+++ b/network/epiphany/epiphany.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for gnome-web
+
+# Copyright 2022 Charadon US
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=epiphany
+VERSION=${VERSION:-42.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" meson .. --buildtype=release --infodir=/usr/info --libdir=/usr/lib${LIBDIRSUFFIX} --localstatedir=/var --mandir=/usr/man --prefix=/usr --sysconfdir=/etc -Dstrip=true -Dlibportal=disabled
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/epiphany/epiphany.info b/network/epiphany/epiphany.info
new file mode 100644
index 0000000000..ea981582c4
--- /dev/null
+++ b/network/epiphany/epiphany.info
@@ -0,0 +1,10 @@
+PRGNAM="epiphany"
+VERSION="42.4"
+HOMEPAGE="https://wiki.gnome.org/Apps/Web"
+DOWNLOAD="https://download.gnome.org/sources/epiphany/42/epiphany-42.4.tar.xz"
+MD5SUM="846b96d427571edeabd6da9d5d7fa17c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="webkit2gtk libdazzle libhandy appstream-glib"
+MAINTAINER="Charadon"
+EMAIL="dev@iotib.net"
diff --git a/network/epiphany/slack-desc b/network/epiphany/slack-desc
new file mode 100644
index 0000000000..283f48fc6a
--- /dev/null
+++ b/network/epiphany/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+epiphany: epiphany (Web browser from the GNOME desktop)
+epiphany:
+epiphany: Web is the web browser for the GNOME desktop and for elementary OS,
+epiphany: based on the popular WebKit engine. It offers a simple, clean,
+epiphany: beautiful view of the web featuring first-class GNOME and Pantheon
+epiphany: desktop integration, a built-in adblocker enabled by default, and
+epiphany: Intelligent Tracking Prevention. With no useless widgets or wasted
+epiphany: space, Web closely follows GNOME's design philosophy. Its code name
+epiphany: is Epiphany.
+epiphany:
+epiphany: